Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		OpenIPMI
#Epoch:		0
Version:	2.0.18
Release:	1
License:	GNU/GPLv2,BSD,GNU/LGPL
URL:		http://openipmi.sourceforge.net/
Group:		System/Configuration/Hardware
Summary:	access to Intelligent Platform Management Interface (IPMI)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: tcl-devel

#Automatically resolved build dependencies
BuildRequires: gdbm-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libglib-devel
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: popt-devel

%description
OpenIPMI is an effort to create a full-function IPMI system to allow full access to all IPMI information on a server and to abstract it to a level that will make it easy to use. 
Raw access to IPMI is rather difficult to use. Parsing SDRs, scanning for devices on the IPMB bus, scanning for events, and handling all the pieces is rather complicated. The OpenIPMI library provides a higher-level abstraction of this, the user of the OpenIPMI library deals directly with sensors and entities and does not have to worry about the lower-level details of IPMI.

Note that the OpenIPMI library is not Linux-specific. It was written with an os-layer so it could be ported to other operating systems. Of course, it works by default on Linux, but I would like to see it running on other operating systems. It includes an IPMI LAN interface, an interface for the OpenIPMI driver, but interfaces for other drivers and connections could be written.

The OpenIPMI library also includes the ipmicmd program, a small program that lets you inject and receive messages. You can register for incoming commands, set your source IPMB address, and other nifty things, too.



%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--with-swig=no \
--with-tclcflags='-I /usr/include/tcl8.5' --with-tcllibs=-ltcl8.5 \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/ipmicmd
%{_bindir}/ipmilan
%{_bindir}/ipmish
%{_bindir}/ipmi_ui
%{_bindir}/openipmicmd
%{_bindir}/openipmish
%{_bindir}/rmcp_ping
%{_bindir}/solterm
%{_libdir}/libIPMIlanserv.so.*
%{_libdir}/libOpenIPMIcmdlang.so.*
%{_libdir}/libOpenIPMIglib12.so.*
%{_libdir}/libOpenIPMIglib.so.*
%{_libdir}/libOpenIPMIposix.so.*
%{_libdir}/libOpenIPMIpthread.so.*
%{_libdir}/libOpenIPMI.so.*
%{_libdir}/libOpenIPMItcl.so.*
%{_libdir}/libOpenIPMIui.so.*
%{_libdir}/libOpenIPMIutils.so.*
%{_mandir}/man1/ipmi_ui.1.gz
%{_mandir}/man1/openipmicmd.1.gz
%{_mandir}/man1/openipmigui.1.gz
%{_mandir}/man1/openipmish.1.gz
%{_mandir}/man1/rmcp_ping.1.gz
%{_mandir}/man1/solterm.1.gz
%{_mandir}/man7/ipmi_cmdlang.7.gz
%{_mandir}/man7/openipmi_conparms.7.gz
%{_mandir}/man8/ipmilan.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/OpenIPMI
%{_libdir}/libIPMIlanserv.a
%{_libdir}/libIPMIlanserv.la
%{_libdir}/libIPMIlanserv.so
%{_libdir}/libOpenIPMI.a
%{_libdir}/libOpenIPMIcmdlang.a
%{_libdir}/libOpenIPMIcmdlang.la
%{_libdir}/libOpenIPMIcmdlang.so
%{_libdir}/libOpenIPMIglib12.a
%{_libdir}/libOpenIPMIglib12.la
%{_libdir}/libOpenIPMIglib12.so
%{_libdir}/libOpenIPMIglib.a
%{_libdir}/libOpenIPMIglib.la
%{_libdir}/libOpenIPMIglib.so
%{_libdir}/libOpenIPMI.la
%{_libdir}/libOpenIPMIposix.a
%{_libdir}/libOpenIPMIposix.la
%{_libdir}/libOpenIPMIposix.so
%{_libdir}/libOpenIPMIpthread.a
%{_libdir}/libOpenIPMIpthread.la
%{_libdir}/libOpenIPMIpthread.so
%{_libdir}/libOpenIPMI.so
%{_libdir}/libOpenIPMItcl.a
%{_libdir}/libOpenIPMItcl.la
%{_libdir}/libOpenIPMItcl.so
%{_libdir}/libOpenIPMIui.a
%{_libdir}/libOpenIPMIui.la
%{_libdir}/libOpenIPMIui.so
%{_libdir}/libOpenIPMIutils.a
%{_libdir}/libOpenIPMIutils.la
%{_libdir}/libOpenIPMIutils.so
%{_pkgconfig}/OpenIPMIcmdlang.pc
%{_pkgconfig}/OpenIPMIglib12.pc
%{_pkgconfig}/OpenIPMIglib.pc
%{_pkgconfig}/OpenIPMI.pc
%{_pkgconfig}/OpenIPMIposix.pc
%{_pkgconfig}/OpenIPMIpthread.pc
%{_pkgconfig}/OpenIPMItcl.pc
%{_pkgconfig}/OpenIPMIui.pc
%{_pkgconfig}/OpenIPMIutils.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0.18-1
- initial CCux package release
